# -*- coding: utf-8 -*-
"""mytimer params."""

MY_TIMER_VERSION = "0.8"
INPUT_ERROR_MESSAGE = "[Error] Wrong input"
SOUND_ERROR_MESSAGE = "[Error] Unable to play sound"
INPUT_EXAMPLE = "Example: python -m mytimer --hour=1 --minute=1 --second=1"
TIME_ELEMENTS = ["minute", "second", "hour"]
MESSAGE_TEMPLATE = "Message: {0}"

TONES_MAP = {
    1: '1.wav',
    2: '2.wav',
    3: '3.wav',
    4: '4.wav',
    5: '5.wav',
    6: '6.wav',
    7: '7.wav',
    8: '8.wav',
    9: '9.wav',
    10: '10.wav',
    11: '11.wav'}

FACES_MAP = {
    1: 'bulbhead',
    2: 'soft',
    3: '4max',
    4: '5x7',
    5: 'charact4',
    6: 'o8',
    7: 'alphabet',
    8: 'shadow',
    9: 'speed',
    10: 'rounded',
    11: 'chartri',
    12: 'standard',
    13: 'contessa',
    14: 'avatar',
    15: 'mini',
    16: 'twopoint',
    17: '3x5',
    18: 'threepoint',
    19: 'ascii_new_roman',
    20: 'serifcap',
    21: 'lockergnome'}

PROGRAMS_MAP = {
    "poached-egg": {
        "hour": 0,
        "minute": 1,
        "second": 30,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "Poached egg (1.5 mins)"},
    "boiled-egg": {
        "hour": 0,
        "minute": 3,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "Boiled egg (3 mins)"},
    "soft-boiled-egg": {
        "hour": 0,
        "minute": 5,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "Soft-boiled egg (5 mins)"},
    "hard-boiled-egg": {
        "hour": 0,
        "minute": 10,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "Hard-boiled egg (10 mins)"},
    "pasta": {
        "hour": 0,
        "minute": 8,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "Pasta (8 mins)"},
    "quick-rice": {
        "hour": 0,
        "minute": 10,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "Quick cooking rice (10 mins)"},
    "japanese-green-tea": {
        "hour": 0,
        "minute": 2,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "message": "Japanese green tea (2 mins)"},
    "tea-bag": {
        "hour": 0,
        "minute": 2,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "Tea bag (2 mins)"},
    "chinese-green-tea": {
        "hour": 0,
        "minute": 5,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "Chinese green tea (5 mins)"},
    "black-tea": {
        "hour": 0,
        "minute": 5,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "Black tea (5 mins)"},
    "oolong-tea": {
        "hour": 0,
        "minute": 5,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "Oolong tea (5 mins)"},
    "fruit-tea": {
        "hour": 0,
        "minute": 8,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "Fruit tea (8 mins)"},
    "white-tea": {
        "hour": 0,
        "minute": 10,
        "second": 0,
        "alarm": 1,
        "alarm_repeat": 1,
        "face": 1,
        "tone": 1,
        "message": "White tea (10 mins)"},



}
